
QGIS Application - Bug report #12929

XML file freezes QGIS 2.8.2/master

2015-06-10 01:40 AM - baditaflorin -

Status: Closed

Priority: High

Assignee:

Category: Data Provider/OGR

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:Yes Copied to github as #: 21011

Description

I know that this is a bad file. I was trying to extract a json from overpass-turbo but got a xml file

I think that this should not crash QGIS, but should only return an error, saying that is not a good type.

Load as vector the attached file and qgis will freeze

Related issues:

Related to QGIS Application - Bug report # 9547: DXF does not load if file ex... Closed 2014-02-12

Related to QGIS Application - Bug report # 12935: 2.2 GB GeoJson file crashes... Closed 2015-06-11

History

#1 - 2015-06-10 01:45 AM - Giovanni Manghi

- Status changed from Open to Feedback

sure you added the right file?

here it returns exactly what you expect

Invalid Data Source: /home/giovanni/Downloads/interpreter_1_ is not a valid or recognized data source

#2 - 2015-06-11 01:08 AM - baditaflorin -

Giovanni Manghi wrote:

sure you added the right file?

here it returns exactly what you expect

Invalid Data Source: /home/giovanni/Downloads/interpreter_1_ is not a valid or recognized data source

i have tried again, it makes QGIS freeze

I don`t add a extension or something, only the attachment, that i try to load as a vector

I see that you load it on linux, try to do this on windoes, maybe is a OS specific bug

#3 - 2015-06-11 06:01 AM - Giovanni Manghi

- Affected QGIS version changed from 2.8.2 to master
- Crashes QGIS or corrupts data changed from No to Yes

- Target version set to Future Release - High Priority

- Priority changed from Normal to High

- Status changed from Feedback to Open

- Category set to Vectors

- Subject changed from XML file freezes QGIS 2.8.2 to XML file freezes QGIS 2.8.2/master

Confirmed on Windows.

#4 - 2015-06-11 07:21 AM - Jürgen Fischer

- Resolution set to up/downstream

- Category changed from Vectors to Data Provider/OGR

D:\\TEMP\\test\\12\\12929>set CPL_DEBUG=ON

D:\\TEMP\\test\\12\\12929>ogrinfo interpreter_1_

OGR: Auto register C:\\OSGEO4~1\\bin\\gdalplugins\\ogr_FileGDB.dll using RegisterOGRFileGDB.

OGR: Auto register C:\\OSGEO4~1\\bin\\gdalplugins\\ogr_OCI.dll using RegisterOGROCI.

OGR: Auto register C:\\OSGEO4~1\\bin\\gdalplugins\\ogr_SOSI.dll using RegisterOGRSOSI.

OGR: OGROpen(interpreter_1_) failed.

VSIMemFile: Memory file /vsimem/ogrgpsbabeldatasource_0000000002B2AB10 deleted with 1 references.

^C

D:\\TEMP\\test\\12\\12929>set OGR_SKIP=GPSBabel

D:\\TEMP\\test\\12\\12929>ogrinfo interpreter_1_

OGR: OGROpen(interpreter_1_) failed.

SIGY: Header =

<?xml version="1.0" encoding="UTF-8"?>

[...]

    <nd ref="1181492511"/>

[...]

OGR: OGROpen(interpreter_1_) failed.

FAILURE:

Unable to open datasource `interpreter_1_' with the following drivers.

  -> FileGDB

[...]

  -> SXF

IOW seems to be a problem with the GPSBabel driver in OGR.

#5 - 2015-06-11 07:23 AM - Jürgen Fischer

- Operating System deleted (windows)

- OS version deleted (7)

#6 - 2015-06-17 09:12 PM - Martin Dobias

Btw. not an issue with GDAL 1.10.1

#7 - 2016-10-07 05:45 AM - Even Rouault
- Status changed from Open to Closed

Cannot reproduce with latest QGIS 2.16.3 / GDAL 2.1. The OSM driver triggers, but doesn't like this file, which is another issue

Files

interpreter_1_ 31.4 KB 2015-06-09 baditaflorin -
